<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="generator" content="Hugo 0.54.0" />


<title>Analysing the Financial Times (FT) List of Asia Business Schools - For Learning</title>
<meta property="og:title" content="Analysing the Financial Times (FT) List of Asia Business Schools - For Learning">



  








<link href='//cdn.bootcss.com/highlight.js/9.11.0/styles/github.min.css' rel='stylesheet' type='text/css' />



<link rel="stylesheet" href="/about-learning/css/fonts.css" media="all">
<link rel="stylesheet" href="/about-learning/css/main.css" media="all">



  </head>
  <body>
    <div class="wrapper">
      <header class="header">
        <nav class="nav">
  <a href="/about-learning/" class="nav-logo">
    <img src="/about-learning/images/logo.png"
         width="50"
         height="50"
         alt="Logo">
  </a>

  <ul class="nav-links">
    
    <li><a href="/about-learning/about/">About</a></li>
    
    <li><a href="https://github.com/rstudio/blogdown">GitHub</a></li>
    
    <li><a href="https://twitter.com/rstudio">Twitter</a></li>
    
  </ul>
</nav>

      </header>


<main class="content" role="main">

  <article class="article">
    
    <span class="article-duration">5 min read</span>
    

    <h1 class="article-title">Analysing the Financial Times (FT) List of Asia Business Schools</h1>

    
    <span class="article-date">2019/03/04</span>
    

    <div class="article-content">
      


<div id="install-and-load-packages" class="section level1">
<h1>Install and load packages</h1>
<p>We need to install and load multiple packages in order to scrape the data from the FT webpage. The <code>tidyverse</code> package will be our go-to package for undertaking data manipulation and transformation techniques. The <code>rvest</code> package provides a number of web scraping functions.</p>
<pre class="r"><code># List packages and instal them
pkgs &lt;- c(&quot;tidyverse&quot;, &quot;rvest&quot;, &quot;ggplot2&quot;, &quot;xml2&quot;)
# new.packages &lt;- pkgs[!(pkgs %in% installed.packages()[,&quot;Package&quot;])]
# if(length(new.packages)) install.packages(new.packages)

# Load multiple packages
lapply(pkgs, require, character.only = TRUE)
## Warning: package &#39;stringr&#39; was built under R version 3.5.2
## [[1]]
## [1] TRUE
## 
## [[2]]
## [1] TRUE
## 
## [[3]]
## [1] TRUE
## 
## [[4]]
## [1] TRUE</code></pre>
</div>
<div id="scrape-the-2018-ft-data" class="section level1">
<h1>Scrape the 2018 FT data</h1>
<p>The webpage contains three tables representing, respectively:</p>
<ul>
<li>Business Schools in Mainland China</li>
<li>Business Schools in Hong Kong</li>
<li>Business Schools in Taiwan</li>
</ul>
<p>We want to scrape the data from these tables and merge them into one single data frame. The three tables appear to adopt the same data structure, i.e. same number of field and field names.</p>
<p>Firstly, we want to scrape the data using the <code>rvest</code> package to neatly store the parse the HTML tables neatly into a data frame.</p>
<pre class="r"><code># Store the URL for the FT 2018 listing
ft_url &lt;- &quot;https://ig.ft.com/greater-china-business-schools/&quot;

# Read the HTML code of the webpage 
ft_page &lt;- xml2::read_html(ft_url)
ft_tables &lt;- rvest::html_nodes(ft_page, &quot;table&quot;)

# Create an empty list to merge data frames into
ft_list &lt;- list()

# Scrape each table
for(i in 1:length(ft_tables[1:3])) {

  # Identify the region for the table
  ft_region &lt;- ft_tables[i] %&gt;%
    rvest::html_node(., &quot;caption&quot;) %&gt;%
    rvest::html_text(.) %&gt;%
    trimws()
  
  # Retrieve column headers
  ft_headers &lt;- ft_tables[i] %&gt;%
    rvest::html_nodes(., &quot;th&quot;) %&gt;%
    rvest::html_text(.) %&gt;%
    gsub(&quot;\\(.*&quot;, &quot;&quot;, .) %&gt;%
    trimws() %&gt;%
    make.names()
  
  # Scrape data table and append regions
  ft_table &lt;- ft_tables[i] %&gt;%
    rvest::html_table() %&gt;%
    as.data.frame() %&gt;%
    `colnames&lt;-`(ft_headers) %&gt;%
    tibble::add_column(., ft_region, .before = 1) %&gt;%
    rename(., &quot;Region&quot; = &quot;ft_region&quot;)
  
  # Add data frame to the empty list
  ft_list[[ft_region]] &lt;- ft_table

}

# Bind the three data frames
ft_df &lt;- bind_rows(ft_list)</code></pre>
<p>Let’s take a look at the <code>ft_df</code> data frame. We have scraped all three data tables and appropriate column headers have been applied.</p>
<pre class="r"><code># Show first five rows of ft_df
head(ft_df, 5)
##                               Region
## 1 Business schools in mainland China
## 2 Business schools in mainland China
## 3 Business schools in mainland China
## 4 Business schools in mainland China
## 5 Business schools in mainland China
##                                          School
## 1     Beijing Normal University Business School
## 2     Beijing Normal University Business School
## 3     Beijing Normal University Business School
## 4 Renmin University of China School of Business
## 5 Renmin University of China School of Business
##                                              Programme Category
## 1 International Business Management Experimental Class      MiM
## 2                                              Finance      MiF
## 3                                                  MBA      MBA
## 4                Research Master in Management Program      MiM
## 5                     International MBA (IMBA) Program      MBA
##   Tuition.fee Enrolled.students International.students Female.students
## 1      20,000               330                     11              70
## 2      20,000               217                      0              45
## 3     138,000               300                      0              38
## 4      24,000               289                      0              67
## 5     178,000                86                      9              40
##   Starting.salary
## 1          27,242
## 2          33,371
## 3          51,078
## 4          47,389
## 5          57,094</code></pre>
<p>However, when we take a look at the <em>column types</em> of the data frame, there appears to be some character fields that should be numeric. For example, <code>Tuition.fee</code> and <code>Starting.salary</code> should be a numeric column.</p>
<pre class="r"><code># Show the structure of ft_df
str(ft_df)
## &#39;data.frame&#39;:    60 obs. of  9 variables:
##  $ Region                : chr  &quot;Business schools in mainland China&quot; &quot;Business schools in mainland China&quot; &quot;Business schools in mainland China&quot; &quot;Business schools in mainland China&quot; ...
##  $ School                : chr  &quot;Beijing Normal University Business School&quot; &quot;Beijing Normal University Business School&quot; &quot;Beijing Normal University Business School&quot; &quot;Renmin University of China School of Business&quot; ...
##  $ Programme             : chr  &quot;International Business Management Experimental Class&quot; &quot;Finance&quot; &quot;MBA&quot; &quot;Research Master in Management Program&quot; ...
##  $ Category              : chr  &quot;MiM&quot; &quot;MiF&quot; &quot;MBA&quot; &quot;MiM&quot; ...
##  $ Tuition.fee           : chr  &quot;20,000&quot; &quot;20,000&quot; &quot;138,000&quot; &quot;24,000&quot; ...
##  $ Enrolled.students     : int  330 217 300 289 86 43 191 80 42 56 ...
##  $ International.students: int  11 0 0 0 9 26 28 15 62 30 ...
##  $ Female.students       : int  70 45 38 67 40 37 45 42 36 67 ...
##  $ Starting.salary       : chr  &quot;27,242&quot; &quot;33,371&quot; &quot;51,078&quot; &quot;47,389&quot; ...</code></pre>
<p>We’ll go ahead and remove the comma from both variables and convert it to a numeric variable.</p>
<pre class="r"><code># Convert tuition fee and starting salary to numeric
ft_df &lt;- ft_df %&gt;%
  mutate(Tuition.fee = as.numeric(gsub(&quot;,&quot;, &quot;&quot;, Tuition.fee)),
         Starting.salary = as.numeric(gsub(&quot;,&quot;, &quot;&quot;, Starting.salary)))

# Examine the structure of ft_df again
str(ft_df)
## &#39;data.frame&#39;:    60 obs. of  9 variables:
##  $ Region                : chr  &quot;Business schools in mainland China&quot; &quot;Business schools in mainland China&quot; &quot;Business schools in mainland China&quot; &quot;Business schools in mainland China&quot; ...
##  $ School                : chr  &quot;Beijing Normal University Business School&quot; &quot;Beijing Normal University Business School&quot; &quot;Beijing Normal University Business School&quot; &quot;Renmin University of China School of Business&quot; ...
##  $ Programme             : chr  &quot;International Business Management Experimental Class&quot; &quot;Finance&quot; &quot;MBA&quot; &quot;Research Master in Management Program&quot; ...
##  $ Category              : chr  &quot;MiM&quot; &quot;MiF&quot; &quot;MBA&quot; &quot;MiM&quot; ...
##  $ Tuition.fee           : num  20000 20000 138000 24000 178000 398000 395000 158000 188000 120000 ...
##  $ Enrolled.students     : int  330 217 300 289 86 43 191 80 42 56 ...
##  $ International.students: int  11 0 0 0 9 26 28 15 62 30 ...
##  $ Female.students       : int  70 45 38 67 40 37 45 42 36 67 ...
##  $ Starting.salary       : num  27242 33371 51078 47389 57094 ...</code></pre>
<p>That’s it! We now have a single data frame that contains the results from the 2018 FT listing of Asia Business Schools.</p>
</div>
<div id="exploring-the-listing-results" class="section level1">
<h1>Exploring the listing results</h1>
<div id="value-for-money" class="section level2">
<h2>Value for money?</h2>
<pre class="r"><code># Simple scatterplot of starting salary vs. tuition fees by region
p1 &lt;- ggplot(data = ft_df,
       aes(x = Starting.salary,
           y = Tuition.fee)) +
  geom_point() +
  geom_smooth(method = &quot;lm&quot;) +
  facet_wrap( ~ Region, scales = &quot;free&quot;) +
  theme_classic()
p1</code></pre>
<p><img src="/about-learning/post/2019-03-04-analysing-ft-asia-bus-sch_files/figure-html/ft_plot_1-1.png" width="100%" /></p>
</div>
</div>

    </div>
  </article>

  


</main>

      <footer class="footer">
        <ul class="footer-links">
          <li>
            <a href="/about-learning/index.xml" type="application/rss+xml" target="_blank">RSS feed</a>
          </li>
          <li>
            <a href="https://gohugo.io/" class="footer-links-kudos">Made with <img src="/about-learning/images/hugo-logo.png" width="22" height="22"></a>
          </li>
        </ul>
      </footer>

    </div>
    



<script src="//cdn.bootcss.com/highlight.js/9.11.0/highlight.min.js"></script>



<script src="//cdn.bootcss.com/highlight.js/9.11.0/languages/r.min.js"></script>
<script src="//cdn.bootcss.com/highlight.js/9.11.0/languages/yaml.min.js"></script>
<script>hljs.configure({languages: []}); hljs.initHighlightingOnLoad();</script>



    
<script src="/about-learning/js/math-code.js"></script>
<script async src="//cdn.bootcss.com/mathjax/2.7.1/MathJax.js?config=TeX-MML-AM_CHTML"></script>


    
  </body>
</html>

